# 32/64bit spec-file
#
Name:			ogmrip-flac
Version:		0.2
Release:		%mkrel 1

Summary:		ogmrip-flac plugin 
Source0:		%{name}-%{version}.tar.xz
License:		LGPL
Group:			Video
Url:			http://ogmrip.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		glib2-devel
BuildRequires:		ogmrip-devel
BuildRequires:		perl-XML-Parser
BuildRequires:		pkgconfig
BuildRequires:          libflac-devel
Requires:		mplayer
Requires:               flac
Requires:		ogmrip
Obsoletes:  %name < %version


%description
ogmrip-flac is a plugin which adds support for the FLAC audio codec


%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
      --enable-static=no

%make 

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%{_libdir}/ogmrip/audio-plugins/

%find_lang %{name}

rm -f %{buildroot}%{_libdir}/ogmrip/audio-plugins/*.la

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip/audio-plugins
%{_libdir}/ogmrip/audio-plugins/*.so

%changelog
* Sun Feb 24 2013 Ken <lxgator@gmail.com> 0.2-1pclos2013
- initial pkg

